import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A rock in space
 * 
 * @author Poul Henriksen
 */
public class AstroBall extends MovingThing
{
    int hp=20;
    int dmg=10;
    public AstroBall()
    {
        setRotation(Greenfoot.getRandomNumber(360));
    }
    public AstroBall(int direction, int health)
    {
        setRotation(direction);
        hp=health;
        getImage().scale(getImage().getWidth()-health,getImage().getHeight()-health);
    }
    /**
     * Act - do whatever the Ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move(3);
        if(atWorldEdge()){
            move(-3);
            turn(153);
        }
        bounce();
        destroy();
    }
    public void bounce()
    {
        if(canSee(Ball.class))
        {
            turn(189);
            //Greenfoot.playSound("Pop.wav");
            move(3);
        }
        if(canSee(BallMobile.class))
        {
            turn(164);
            move(3);
        }
        if(canSee(AstroBall.class))
        {
            turn(178);
            //Greenfoot.playSound("Boop.wav");
            move(3);
        }
        if(canSee(KillerBall.class))
        {
            turn(145);
            move(3);
        }
    }
    public void destroy()
    {
        Actor bullet;
        bullet = getOneObjectAtOffset ( 0, 0, Bullet.class );
        if(bullet != null)
        {
            int nhp=hp+dmg;
            //Greenfoot.playSound("Fire.wav");
            World world;
            world = getWorld();
            world.removeObject(bullet);
            Worldy worldy = (Worldy) getWorld();
            worldy.score(getImage().getWidth());
            worldy.addPoints(getImage().getWidth());
            if(nhp<50){
                getWorld().addObject(new AstroBall(315, nhp),getX()+10,getY()-10);
                getWorld().addObject(new AstroBall(45, nhp),getX()+10,getY()+10);
                getWorld().addObject(new AstroBall(135, nhp),getX()-10,getY()+10);
                getWorld().addObject(new AstroBall(225, nhp),getX()-10,getY()-10);
            }
            if(nhp==50){
                worldy.addD();
            }
            getWorld().removeObject(this);
        }
    }
}